class Categoria < ActiveRecord::Base

  hobo_model # Don't put anything above this

  fields do
    nombre :string, :name => true
    timestamps
  end

  # --- Relaciones --- #
  has_many :categoria_cursos, :dependent => :destroy
  has_many :cursos, :through => :categoria_cursos


  # --- Permissions --- #

  def create_permitted?
    acting_user.administrator?
  end

  def update_permitted?
    acting_user.administrator?
  end

  def destroy_permitted?
    acting_user.administrator?
  end

  def view_permitted?(field)
    true
  end

end
